# RCSid:
#	$Id: Makefile.inc,v 1.6 1995/05/13 07:36:55 sjg Exp $
#
#	@(#) Copyright (c) 1994 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@zen.void.oz.au
#

CFLAGS+= -I.

# pick up defaults above
.include "../Makefile.inc"

NOMAN=no
NOPIC=no
NOPROFILE=no
OBJMACHINE=yes

NFSSRCDIR=${.CURDIR}/../nfs_server
prefix?=/usr/local

BINDIR=$(prefix)/etc
MANDIR=$(prefix)/man

INSTALL?=install.sh
COPY=
STRIP=

.if exists(${.CURDIR}/../lib/obj.${MACHINE})
LLIBDIR=${.CURDIR}/../lib/obj.${MACHINE}
CONFIGDIR=${.CURDIR}/../lib/obj.${MACHINE}
RPCDIR=${.CURDIR}/../rpc/obj.${MACHINE}
.else
LLIBDIR=${.CURDIR}/../lib
CONFIGDIR=${NFSSRCDIR}
RPCDIR=${.CURDIR}/../rpc
.endif
LDADD+= -L${LLIBDIR}
DPADD+= ${LLIBDIR}/libunfs.a

# this is for debugging only
.if ! exists(/usr/src/lib/libc/rpc) && exists(${.CURDIR}/../debug.rpc)
CFLAGS+= -I${.CURDIR}/../rpc40/rpc
.endif

LDSTATIC=$(STATIC)
LDADD+= -g -lunfs 
DBG=-g -O

CFLAGS+= -DHAVE_CONFIG_H -DNFS -DNFSCLIENT -I${.CURDIR} -I${.CURDIR}/../include -I${RPCDIR} -I${CONFIGDIR} -I${NFSSRCDIR} 

# comment this out to use TIS auth server
CFLAGS+=-DNO_FWTK 

# The following define, enables the RPC's from server back to client
# so server can tell client its is shutting down.  Works well except
# server or client wedges under heavy load.
# 
# DO NOT define this unless you plan to debug the race condition
# it introduces...
# CFLAGS+=-DDO_UNFS_PROG

.if exists(${.CURDIR}/../Makefile.${MACHINE}.inc)
.include "${.CURDIR}/../Makefile.${MACHINE}.inc"
.elif exists(${.CURDIR}/../../Makefile.${MACHINE}.inc)
.include "${.CURDIR}/../../Makefile.${MACHINE}.inc"
.endif
